Skip site navigation (1) Skip section navigation (2)

Re: Error configure plphp

From: Alvaro Herrera <alvherre(at)alvh(dot)no-ip(dot)org>
To: Jaume Riu <soft(at)sicsa(dot)com>
Cc: "'Ayuda'" <pgsql-es-ayuda(at)postgresql(dot)org>
Subject: Re: Error configure plphp
Date: 2008-10-16 14:40:42
Message-ID: 20081016144041.GF3988@alvh.no-ip.org (view raw or flat)
Thread:
Lists: pgsql-es-ayuda
Alvaro Herrera escribió:

> Extraño.  Voy a echarle una mirada al proceso de construcción a ver
> dónde está fallando.

A mí me funcionó perfectamente.

Pasos:

1. bajar el código fuente de PL/php, descomprimir, leer el README
2. bajar el código de PHP (5.2.6).  Descomprime en /tmp/php-5.2.6
3. cd /tmp/php-5.2.6
4. configure --enable-embed --prefix=/tmp/php
5. make
6. make install
7. cd /path/a/plphp
8. ./configure --with-postgres=/path/a/postgres --with-php=/tmp/php
9. make

Creo que el paso que te falta es el "make install" en PHP.  Voy a
revisar la documentacion de PL/php a ver si debo agregar eso en alguna
parte.

Gracias por probar,

-- 
Alvaro Herrera                          Developer, http://www.PostgreSQL.org/
Major Fambrough: You wish to see the frontier?
John Dunbar: Yes sir, before it's gone.

In response to

Responses

pgsql-es-ayuda by date

Next:From: postgres Emanuel CALVO FRANCODate: 2008-10-16 16:41:48
Subject: Re: Ayuda con Server encoding
Previous:From: Alvaro HerreraDate: 2008-10-16 14:27:53
Subject: Re: Error configure plphp

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group